<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\Invitation\ParentInvitationId;
use DomainException;

use function sprintf;

final class InvitationExpireeException extends DomainException
{
    public static function pourInvitation(ParentInvitationId $id): self
    {
        return new self(sprintf(
            'L\'invitation "%s" a expiré.',
            $id,
        ));
    }
}
